import { Accessibility } from "./accessibility";
import { Stereotype } from "./stereotype";
export declare abstract class Property {
    private _identifier;
    private _accessibility;
    private _static;
    private _optional;
    private _stereotype;
    identifier: string;
    accessibility: Accessibility;
    static: boolean;
    /**
     * Is variable optional
     *
     * @type {boolean}
     * @memberof VariableProperty
     */
    optional: boolean;
    stereotype: Stereotype;
    constructor(identifier: string, accessibility: Accessibility, stereotype?: Stereotype);
}
